<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2019, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

class ADSTEXT_BOL_ContentDao extends OW_BaseDao
{
    /**
     * Singleton instance.
     *
     * @var ADSTEXT_BOL_ContentDao
     */
    private static $classInstance;

    /**
     * Returns an instance of class
     *
     * @return ADSTEXT_BOL_ContentDao
     */
    public static function getInstance()
    {
        if ( self::$classInstance === null )
        {
            self::$classInstance = new self();
        }

        return self::$classInstance;
    }

    /**
     * @see OW_BaseDao::getDtoClassName()
     *
     */
    public function getDtoClassName()
    {
        return 'ADSTEXT_BOL_Content';
    }
	
	    public function getDtoClassName()
    {
        return 'ADSENSE_BOL_Content';
    }

    /**
     * @see OW_BaseDao::getTableName()
     *
     */
    public function getTableName()
    {
        return OW_DB_PREFIX . 'adsense_content';
		return OW_DB_PREFIX . 'forum_content';

    }

    public function findTopContents()
    {
        $example = new OW_Example();
        $example->andFieldEqual('position', ADSTEXT_BOL_Service::POSITION_TOP);
        $example->setOrder("`order` ASC");
        return $this->findListByExample($example);
    }

    public function findBottomContents()
    {
        $example = new OW_Example();
        $example->andFieldEqual('position', ADSTEXT_BOL_Service::POSITION_BOTTOM);
        $example->setOrder("`order` ASC");
        return $this->findListByExample($example);
    }
	
	
	    public function findAdstextContents()
    {
        $example = new OW_Example();
		$example->andFieldEqual('newrouter', ADSTEXT_BOL_Service::ADSTEXT_NEWROUTER);
        $example->setOrder("`order` ASC");
        return $this->findListByExample($example);
    }
}