<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2019, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


class ADSTEXT_CLASS_EventHandler
{
    const TOPIC_TOP_CONTENT = 'forum.before_post_add_content';
    const TOPIC_BOTTOM_CONTENT = 'forum.after_post_add_content';

	public function __construct( )
	{

	}

	public static $classInstance;

	public static function getInstance()
	{
		if( self::$classInstance === null )
		{
			self::$classInstance = new self();
		}
		return self::$classInstance;
	}

	public function init()
	{
		OW::getEventManager()->bind(self::TOPIC_TOP_CONTENT, array($this, 'topicTopContent'));
		OW::getEventManager()->bind(self::TOPIC_BOTTOM_CONTENT, array($this, 'topicBottomContent'));
    }
    
    public function topicTopContent( OW_Event $event )
    {
		$contents = ADSTEXT_BOL_Service::getInstance()->findTopContents();

		foreach($contents as $content )
		{
			$item = new ADSTEXT_CMP_ContentFormatter( $content );
			$event->add($item->render());
		}

		OW::getDocument()->addStyleDeclaration(".post_content {overflow: unset;}");
    }
    
    public function topicBottomContent( OW_Event $event )
    {
		$contents = ADSTEXT_BOL_Service::getInstance()->findBottomContents();

		foreach($contents as $content )
		{
			$item = new ADSTEXT_CMP_ContentFormatter( $content );
			$event->add($item->render());
		}
    }
}