<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2019, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

class ADSTEXT_CLASS_Form extends Form
{
    public function __construct( $dto = null )
    {
        parent::__construct('adsense-form');
        
        $contentId = new HiddenField('contentId');
        $this->addElement( $contentId );
        
        $title = new TextField('title');
        $title->setLabel(OW::getLanguage()->text('adstext', 'admin_label_title'));
        $title->setRequired(true);
        $this->addElement($title);

        $content = new Textarea('text');
        $content->setLabel(OW::getLanguage()->text('adstext', 'admin_label_content'));
        $content->setRequired(true);
        $this->addElement( $content );

        $position = new Selectbox('position');
        $position->setLabel(OW::getLanguage()->text('adstext', 'admin_label_position'));
        $position->setOptions([
            ADSTEXT_BOL_Service::POSITION_TOP => OW::getLanguage()->text('adstext', 'admin_position_top'),
            ADSTEXT_BOL_Service::POSITION_BOTTOM => OW::getLanguage()->text('adstext', 'admin_position_bottom'),
        ]);
        $position->setHasInvitation(false);
        $position->setRequired(true);
        $position->addAttribute('style', 'width: 100%;');
        $this->addElement( $position );

        $layout = new Selectbox('layout');
        $layout->setLabel(OW::getLanguage()->text('adstext', 'admin_label_layout'));
        $layout->setOptions([
            ADSTEXT_BOL_Service::LAYOUT_RIGHT => OW::getLanguage()->text('adstext', 'admin_layout_right'),
            ADSTEXT_BOL_Service::LAYOUT_LEFT => OW::getLanguage()->text('adstext', 'admin_layout_left'),
            ADSTEXT_BOL_Service::LAYOUT_FULL => OW::getLanguage()->text('adstext', 'admin_layout_full'),
        ]);
        $layout->setHasInvitation(false);
        $layout->setRequired(true);
        $layout->addAttribute('style', 'width: 100%;');
        $this->addElement( $layout );

        $order = new TextField('order');
        $order->setLabel(OW::getLanguage()->text('adstext', 'admin_label_order'));
        $order->setHasInvitation(true);
        $order->setInvitation('0.');
        $this->addElement($order);

        if( !empty($dto) )
        {
            $contentId->setValue($dto->getId());
            $title->setValue($dto->getTitle());
            $content->setValue($dto->getContent());
            $position->setValue($dto->getPosition());
            $layout->setValue($dto->getLayout());
            $order->setValue($dto->getOrder());
        }

        $submit = new Submit('save');
        $this->addElement( $submit );
    }
}